Bug 196259 - cvs lacks LFS support
cvs lacks LFS support
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cvs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Ben Levenson
Depends On:
Blocks: 198694
  Show dependency treegraph
Reported: 2006-06-22 04:58 EDT by Bastien Nocera
Modified: 2015-02-01 17:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 16:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Testcase testing bug 196259, 218324, 441694 (1.86 KB, application/x-sh)
2009-01-08 06:30 EST, Jan Ščotka
no flags Details

  None (edit)
Description Bastien Nocera 2006-06-22 04:58:49 EDT

When the CVS history file gets bigger than 2GB, cvs checkouts and other
operations on the server fail with a "File size limit exceeded" error.

The fix (verified) is adding the following line to the .spec before the make:

$ cat filler.c
#include <stdio.h>

  FILE *fp;
  fp = fopen("/var/cvs/CVSROOT/history","a+");
  while (1) fprintf(fp,"A448ee4ee|marco|~/cvstest|testprj|1.1|hello.txt\n");

$ mkdir /var/cvs
$ mkdir /var/cvs/testprj
$ export CVSROOT=/var/cvs
$ mkdir cvstest && cd cvstest
$ cvs init
$ mkdir testprj
$ echo "hello world" > testprj/hello.txt
$ cvs checkout testprj/
$ cvs add testprj/hello.txt
$ cvs commit -m "test"
$ gcc filler.c -o filler
$ ./filler
File size limit exceeded
$ cvs commit -m "test"
cvs commit: Examining testprj
RCS file: /var/cvs/testprj/edge.txt,v
Checking in testprj/edge.txt;
/var/cvs/testprj/edge.txt,v  <--  edge.txt
initial revision: 1.1
File size limit exceeded
$ ls -lh /var/cvs/CVSROOT/history
-rw-rw-rw-  1 marco marco 2.0G Jun 13 17:18 /var/cvs/CVSROOT/history
Comment 1 Martin Stransky 2006-06-24 03:11:41 EDT
fixed in rawhide
Comment 5 RHEL Product and Program Management 2008-09-05 13:11:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 Jan Ščotka 2009-01-08 06:30:04 EST
Created attachment 328457 [details]
Testcase testing bug 196259, 218324, 441694

Created testcase for testing bugs in cvs, It check right link to web pages, assertion when use rtag and large file support(more than 2Gb
Comment 12 errata-xmlrpc 2009-05-18 16:12:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.